
//三级地区
$(document).ready(function(){
	$('#ddlSubAreas option[@value=0]').text(strSelectArea);     //var strSelectArea = '<%=GetResourceString("SelectArea")%>';
    $('#ddlThirdAreas option[@value=0]').text(strSelectArea);
    //绑定地区的方法
    function BindAreas(obj1,obj2)
    {
	    var svalue = obj1.value; 
	    var weburl = "ajax.aspx?NoCopyright=1&parent_id="+svalue + "&r=" + Math.random(); 
	    $.get(weburl,function(data){
		    document.getElementById(obj2).length = 0; 
		    document.getElementById(obj2).options.add(new Option(strSelectArea,"0")); 
		    if(data!="")
		    { 
			    var allArray = data.split("<")[0].toString().split(","); 
			    for(var i=1;i<allArray.length;i++) 
			    { 
				    var thisArray = allArray[i].split("|"); 
				    document.getElementById(obj2).options.add(new Option(thisArray[1].toString(),thisArray[0].toString())); 
			    } 
		    } 
	    });

    } //End BindAreas()
    
    
    //给地区下拉框绑定事件
    $('#ddlTopAreas').change(function(){$('#ddlSubAreas option:gt(0)').remove();$('#ddlThirdAreas option:gt(0)').remove();if($(this).val()!='0'){BindAreas(this,'ddlSubAreas')};});
    $('#ddlSubAreas').change(function(){$('#ddlThirdAreas option:gt(0)').remove();if($('option[selected]',this).val() != '0')(BindAreas(this,'ddlThirdAreas'));});
	
});